ホーム > フォーラム > 質問箱 > XCL2.1.8 > インストールができません。どなたかご指導を

インストールができません。どなたかご指導を
投稿者: mshirai | 投稿日時: 2011/5/8 10:19 | 閲覧: 12834回
mshirai

Xoops初心者です。以下の環境でインストールができずに困っております。よろしくご指導お願いします

   環境

OS: SUSE Linux Enterprise Server 11
Web Server : Apache ver 2.0
DB : MySQL ver 5.0
Xoops Legascy 2.1.08a


   状況

1. ダウンロードしたZoops LegacyのZip を解凍し、htmlフォルダーのみをWebxサーバー上にコピーいたしました。
2. インストール画面から始めて、「データベース設定の確認」の画面で内容を確認したのち、次へ進むと、真っ白の画面が表示されてしまいます。

 MySQLを確認してみると、あらかじめ作成しておいた空のデータベース'xoopsdb' にはテーブルが全く作成されておりません。
 データベースユーザー名を所有者や 'root' に変更して幾度かインストールを試みましたが結果は変わりませんでした。

以上のような状況です。よろしくお願いいたします

コメント(7)

新しいものから | 古いものから | ネスト表示 | RSS feed
Re: インストールができません。どなたかご指導を 
投稿者: pcboy | 投稿日時: 2011/5/11 18:55
pcboy

もっぱら Windows server をいじっている pcboy です。

まずは、Apache、PHP、MySQLのそれぞれエラーログを眺めると原因を絞り込めると思います。

phpinfo()を表示させてみて、MySQL関連が正しく設定されているか。
OS固有の設定ファイルの置き場やPATH設定が正しいかなど眺めてみる。

あまりアドバイスになっていませんが...
Re: インストールができません。どなたかご指導を 
投稿者: Marijuana | 投稿日時: 2011/5/12 19:20
Marijuana

PHPのバージョンが書かれてないですがPHP5.3.xだと動かないですよ
Re: インストールができません。どなたかご指導を 
投稿者: mshirai | 投稿日時: 2011/5/17 8:12 | 親コメント: #20795
mshirai

情報が不足しておりました。 PHPのバージョンは5.2.6 (SUSE Linuxに付属していたもの)です

引用:
PHPのバージョンが書かれてないですがPHP5.3.xだと動かないですよ
Re: インストールができません。どなたかご指導を 
投稿者: Marijuana | 投稿日時: 2011/5/17 15:05 | 親コメント: #20797
Marijuana

pcboyさん指摘の
引用:
phpinfo()を表示させてみて、MySQL関連が正しく設定されているか。

は確認しましたか?
php-mysql(php5-mysql)が入ってないとか、設定してないとかだとMySQLの項目は出ないと思います。
Re: インストールができません。どなたかご指導を 
投稿者: mshirai | 投稿日時: 2011/5/18 8:51 | 親コメント: #20798
mshirai

pypinfo()ですが、確かにMySQLに関する表示がありません。

 知識不足で申し訳ありません。PHPとMySQLは独立に動作するものと思っていたのですが、実際にはPHPのコンパイル時にMySQLの設定を指定する必要があったということを最近知りました。
 
 今回、MySQL,Apache、PHPの順番にLinux付属のGUIから画面に従ってインストールしたため、細かい設定がてきません。
 解決策としては付属のサービスプログラムを使用するのでなく、別途Webからダウンロードしたものを手動で詳細に設定しながらインストールするしか方法がない、ということでしょうか


引用:
pcboyさん指摘の
引用:
phpinfo()を表示させてみて、MySQL関連が正しく設定されているか。
は確認しましたか?
php-mysql(php5-mysql)が入ってないとか、設定してないとかだとMySQLの項目は出ないと思います。
Re: インストールができません。どなたかご指導を 
投稿者: Marijuana | 投稿日時: 2011/5/19 11:22 | 親コメント: #20800
Marijuana

SUSEは使ったことないので、どうやるのか知りませんが、php5-mysqlを追加で入れてやれば大丈夫だと思います
centosならyum install php5-mysqlですが、同じようなツールがあるのではないでしょうか
Re: インストールができません。どなたかご指導を 

    投票(0)

    新しいものから | 古いものから | RSS feed
     
    To Top